Bug 586659 - [RFE] Customizable global kickstart snippets via WebUI
[RFE] Customizable global kickstart snippets via WebUI
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.0.4
All Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks: sat-nextgen
  Show dependency treegraph
 
Reported: 2010-04-28 00:49 EDT by Issue Tracker
Modified: 2014-09-18 13:02 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-11 08:29:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2010-04-28 00:49:09 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Issue Tracker 2010-04-28 00:49:10 EDT
Event posted on 04-15-2010 06:41am EDT by RFE-tool

1) Customer Name:
Eidgenossische-Technische Hochschule Zuerich (ETHK)

2) Nature Of Problem:
Admins can not add kickstart snippets to global "Default Snippets".

3) Business Requirements Satisfied By Request:
ETHZ has a very huge satellite deployment. Satellite is used heavily but
still lots of manual work is required to manage systems.

4) Functional Requirements That Are Not Presently Possible:
Admins can add their own global kickstart snippets via GUI

5) What Will Success Look Like:
GUI option to add and maintain custom global snippets.

6) Desired Release Vehicle:
next satellite release

7) Request Meets The Rhel Inclusion Criteria:
No

8) Affected Packages:
satellite

9) Sales Sponsor:
Angelika Hiebl <ahiebl@redhat.com>

10) Rh Business Opportunity With Customer:
big customer 60K Euro per year, with 6500+ RHEL-systems

11) Status And Risk To Contract If Not Satisfied:
To loose 60K Euro per year.
Customer is well connected with the spacewalk community and might get
dissatisfied with our service if he gets stuff done there more easy.

12) If this request is vendor specific, has the customer engaged the
partner as well?:
Not Applicable




RFE-tool assigned to issue for SEG - Feature Request.

This event sent from IssueTracker by jwest  [SEG - Feature Request]
 issue 766903
Comment 8 Daniele 2012-02-17 10:07:22 EST
Is this being watched at all?
Comment 10 Jirka Tesar 2013-08-16 06:02:52 EDT
Hello,

Last comment of this BZ has been made more than a year ago. It's tracked under sat-short and according to definition it likely can be implemented within 12-18 months. Now we are far behind that considering the creation date. 

We need to update customer and answer "No, we are not going to implement it" is just fine. The current situation when we have to tell customer in the way "it may be implemented, we'll keep you updated" is not feasible :-)

Thank you
Jirka
Comment 15 Dominic Cleal 2014-01-20 10:37:58 EST
Moving to ON_QA as Satellite 6 (and Foreman) provide global template snippets which can be edited via the web UI, the remote CLI or the API.
Comment 18 Bryan Kearney 2014-09-11 08:29:01 EDT
This was delivered with Satellite 6.0 which was released on 10 September 2014.

Note You need to log in before you can comment on or make changes to this bug.